/****************************************************************************
**
** DCOP Stub Definition created by dcopidl2cpp from cvsloginjob.kidl
**
** WARNING! All changes made in this file will be lost!
**
*****************************************************************************/

#ifndef __CVSLOGINJOB_STUB__
#define __CVSLOGINJOB_STUB__

#include <dcopstub.h>
#include <tdesu/process.h>
#include <dcopobject.h>
#include <tqstringlist.h>
#include <tqstring.h>


class CvsLoginJob_stub : virtual public DCOPStub
{
public:
    CvsLoginJob_stub( const TQCString& app, const TQCString& id );
    CvsLoginJob_stub( DCOPClient* client, const TQCString& app, const TQCString& id );
    explicit CvsLoginJob_stub( const DCOPRef& ref );
    virtual bool execute();
    virtual TQStringList output();
protected:
    CvsLoginJob_stub() : DCOPStub( never_use ) {}
};


#endif
